; [/////////////////////////////////////////]
; || Eikon's Image to Data Converter       ||
; || Supports all Blitz Compatible Images  ||
; ||                                       ||
; || Functions:                            []
; || Export("Image.bmp", "output.txt")
; || Import("input.txt")
; ||                                       
; []/////////////////////////////[]
; || Example:                    ||
; || Export("me.bmp", "me.txt")  ||
; || Me = CreateImage(640, 215)  []
; || Import("me.txt")
; || GrabImage(Back, 0, 0)
; || Cls                                   
; || DrawImage Back, 0, 0                  
; ||                                       
; || Be sure to CLS between GrabImages     
; []

Dim IData(1024, 768)

Function Export(Image$, File$)
I = LoadImage(Image)

Width  = ImageWidth(I)
Height = ImageHeight(I)

IBuff = ImageBuffer(I)

LockBuffer(IBuff)
For Y = 0 To Height
For X = 0 To Width
	IData(X, Y) = ReadPixelFast(X, Y, IBuff)
Next
Next
UnlockBuffer(IBuff)

CFile = WriteFile(File)
WriteInt(CFile, Width)
WriteInt(CFile, Height)
For Y = 0 To Height
For X = 0 To Width
	WriteInt(CFile, IData(X, Y))
Next
Next

CloseFile CFile
End Function

Function Import(File$)
CFile = ReadFile(File)

Width = ReadInt(CFile)
Height = ReadInt(CFile)

For Y = 0 To Height
For X = 0 To Width
	IData(X, Y) = ReadInt(CFile)
Next
Next

CloseFile CFile
LockBuffer()
For Y = 0 To Height
For X = 0 To Width
	WritePixelFast X, Y, IData(X, Y)
Next
Next
UnlockBuffer()

End Function